﻿@model MIMS.Portal.ViewModels.UserViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "ویرایش کاربر";
}

<form method="post">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">مشخصات کاربر</h4>
        </div>
        <div class="card-body">
            <div class="card-block">

                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input asp-for="Id" hidden/>
                
                <div class="form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="UserType" class="control-label"></label>
                                    <span asp-validation-for="UserType" class="text-danger"></span>
                                    <select asp-for="UserType" asp-description-for="UserType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.UserType>()">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="UserName" class="control-label"></label>
                                    <span asp-validation-for="UserName" class="text-danger"></span>
                                    <input asp-for="UserName" asp-description-for="UserName" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Password" class="control-label"></label>
                                    <span asp-validation-for="Password" class="text-danger"></span>
                                    <input asp-for="Password" asp-description-for="Password" class="form-control" />
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="FirstName" class="control-label"></label>
                                    <span asp-validation-for="FirstName" class="text-danger"></span>
                                    <input asp-for="FirstName" asp-description-for="FirstName" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="LastName" class="control-label"></label>
                                    <span asp-validation-for="LastName" class="text-danger"></span>
                                    <input asp-for="LastName" asp-description-for="LastName" class="form-control" />
                                </div>
                            </div>
                            @*<div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="FatherName" class="control-label"></label>
                                        <span asp-validation-for="FatherName" class="text-danger"></span>
                                        <input asp-for="FatherName" asp-description-for="FatherName" class="form-control" />
                                    </div>
                                </div>*@
                            @*<div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="Gender" class="control-label"></label>
                                        <span asp-validation-for="Gender" class="text-danger"></span>
                                        <select asp-for="Gender" asp-description-for="Gender" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Gender>()">
                                            <option selected value="">--</option>
                                        </select>
                                    </div>
                                </div>*@
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="NationalCode" class="control-label"></label>
                                    <span asp-validation-for="NationalCode" class="text-danger"></span>
                                    <input asp-for="NationalCode" asp-description-for="NationalCode" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="BirthDate" class="control-label"></label>
                                    <span asp-validation-for="BirthDate" class="text-danger"></span>
                                    <input asp-for="BirthDate" asp-description-for="BirthDate" class="form-control" />
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Email" class="control-label"></label>
                                    <span asp-validation-for="Email" class="text-danger"></span>
                                    <input asp-for="Email" asp-description-for="Email" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Mobile" class="control-label"></label>
                                    <span asp-validation-for="Mobile" class="text-danger"></span>
                                    <input asp-for="Mobile" asp-description-for="Mobile" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Phone" class="control-label"></label>
                                    <span asp-validation-for="Phone" class="text-danger"></span>
                                    <input asp-for="Phone" asp-description-for="Phone" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group" hidden>
                                    <label asp-for="Fax" class="control-label"></label>
                                    <span asp-validation-for="Fax" class="text-danger"></span>
                                    <input asp-for="Fax" asp-description-for="Fax" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="ProvinceId" class="control-label"></label>
                                    <span asp-validation-for="ProvinceId" class="text-danger"></span>
                                    <select asp-for="ProvinceId" asp-items="@ViewBag.Provinces" asp-description-for="ProvinceId" class="form-control ">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="CountyId" class="control-label"></label>
                                    <span asp-validation-for="CountyId" class="text-danger"></span>
                                    <select asp-for="CountyId" asp-description-for="CountyId" asp-items="@ViewBag.Counties" class="form-control">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="CityId" class="control-label"></label>
                                    <span asp-validation-for="CityId" class="text-danger"></span>
                                    <select asp-for="CityId" asp-items="@ViewBag.Cities" asp-description-for="CityId" class="form-control">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="PostalCode" class="control-label"></label>
                                    <span asp-validation-for="PostalCode" class="text-danger"></span>
                                    <input asp-for="PostalCode" asp-description-for="PostalCode" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label asp-for="Address" class="control-label"></label>
                                    <span asp-validation-for="Address" class="text-danger"></span>
                                    <input asp-for="Address" asp-description-for="Address" class="form-control" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
        <div class="card-footer">
            <div class="form-actions">
                <button type="submit" class="btn btn-primary btn-min-width">
                    ثبت
                </button>
            </div>
        </div>
    </div>
</form>

@section Scripts{
    <script>

    </script>
    <script src="~/js/dropdown.js"></script>
}
